Subject: Wireless statistics for bcm43xx-d80211

From: Larry Finger <[email-masked]>
Date: Tue, 18 Jul 2006 23:24:32 -0500

I have gotten most things working to produce wireless statistics through /proc/net/wireless for
bcm43xx-d80211; however, I have one problem that I have not yet been able to solve. When I do a 'cat
/proc/net/wireless', the following is printed:

Inter-| sta-|   Quality        |   Discarded packets               | Missed | WE
  face | tus | link level noise |  nwid  crypt   frag  retry   misc | beacon | 20
wmaster0: 0000  100.    0.    0.       0      0      0      0      0        0
  wlan1: 0000  100.  -26.  -67.       0      0      0      0      0        0

Based on the numbers obtained using bcm43xx-softmac for my interface, the numbers for level and 
noise for wlan1 are what I expected (in dBm). The link value has not yet been finished. The main 
problem is that the wireless kicker applet for KDE, which I use for a display, is only looking at 
the first line, and never sees the wlan1 data - only the wmaster0 results.

Is there some way to detect that the master interface is being interrogated, and return data for the
attached STA instead?

Thanks,  Larry